<?xml version="1.0" encoding="UTF-8"?><!--

Touchlink Commissioning cluster (0x1000) XML PICS
Document 16-02812-006
October 12th, 2021

Copyright © 2021 Connectivity Standards Alliance, Inc.
508 Second Street, Suite 206 Davis, CA 95616 - USA
www.csa-iot.org
All rights reserved.

Permission is granted to members of the Connectivity Standards Alliance to
reproduce this document for their own use or the use of other Connectivity
Standards Alliance members only, provided this notice is included.  All other
rights reserved.  Duplication for sale, or for commercial or for-profit use is
strictly prohibited without the prior written consent of the Connectivity
Standards Alliance.

Accepted by
===========
This document has been accepted for release by the Connectivity Standards
Alliance Board of Directors.

Abstract
========
This document contains the XML PICS for the Touchlink Commissioning cluster according
to the generic XML PICS schema: 16-03902-003-Generic-PICS-XML-Schema.xsd

Notice of use and disclosure
============================
Copyright © Connectivity Standards Alliance (2021). All rights Reserved. This
information within this document is the property of the Connectivity Standards
Alliance and its use and disclosure are restricted.

Elements of this document may be subject to third party intellectual property
rights, including without limitation, patent, copyright or trademark rights (such
third party may or may not be a member of CSA). CSA is not responsible and shall
not be held responsible in any manner for identifying or failing to identify any
or all such third party intellectual property rights. 

No right to use any CSA name, logo or trademark is conferred herein.  Use of any
CSA name, logo or trademark requires membership in the CSA and compliance with the
CSA Trademark and Logo Usage Guidelines and Terms and related CSA policies. 

This document and the information contained herein are provided on an “AS IS”
basis and CSA DISCLAIMS ALL WARRANTIES EXPRESS OR IMPLIED, INCLUDING BUT NOT
LIMITED TO (A) ANY WARRANTY THAT THE USE OF THE INFORMATION HEREIN WILL NOT
INFRINGE ANY RIGHTS OF THIRD PARTIES (INCLUDING WITHOUT LIMITATION ANY INTELLECTUAL
PROPERTY RIGHTS INCLUDING PATENT, COPYRIGHT OR TRADEMARK RIGHTS) OR (B) ANY IMPLIED
WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, TITLE OR
NONINFRINGEMENT. IN NO EVENT WILL CSA BE LIABLE FOR ANY LOSS OF PROFITS, LOSS OF
BUSINESS, LOSS OF USE OF DATA, INTERRUPTION OF BUSINESS, OR FOR ANY OTHER DIRECT,
INDIRECT, SPECIAL OR EXEMPLARY, INCIDENTAL, PUNITIVE OR CONSEQUENTIAL DAMAGES OF ANY
KIND, IN CONTRACT OR IN TORT, IN CONNECTION WITH THIS DOCUMENT OR THE INFORMATION
CONTAINED HEREIN, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH LOSS OR DAMAGE. All
company, brand and product names may be trademarks that are the sole property of
their respective owners.  

This notice and disclaimer must be included on all copies of this document.

Revision History
================
002 2017-05-09
003 2018-07-10 Fixed CCB 2640.
004 2021-02-09 Fixed CCB 3389. 
005 2021-07-27 Branding change.
006 2021-10-12 Update to reflect board approval.

PICS Completion Notes
=====================
In each <support></support> item use:
  "true"  if the feature is supported, OR
  "false" if the feature is NOT supported
By default all items are not supported (false)
    
--><clusterPICS xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="file://./16-03902-003-Generic-PICS-XML-Schema.xsd">
  <!-- General cluster information -->
	<name>Touchlink Commissioning</name>
	<clusterId>0x1000</clusterId>
	<picsRoot>TC</picsRoot>
  <!-- Cluster usage -->
	<usage>
		<picsItem>
			<itemNumber>TC.S</itemNumber>
			<feature>Does the device implement the touchlink commissioning cluster as a server?</feature>
			<reference>ZCL</reference>
			<status>O</status>
			<support>true</support>
		</picsItem>
		<picsItem>
			<itemNumber>TC.C</itemNumber>
			<feature>Does the device implement the touchlink commissioning cluster as a client?</feature>
			<reference>ZCL</reference>
			<status>O</status>
			<support>true</support>
		</picsItem>
	</usage>
  <!-- Server side -->
	<clusterSide type="server">
		<attributes>
      <picsItem>
        <itemNumber>TC.S.Afffd</itemNumber>
        <feature>Does the device implement the ClusterRevision global attribute?</feature>
        <reference>ZCL</reference>
        <status cond="TC.S">M</status>
        <support>true</support>
      </picsItem>
      <picsItem>
        <itemNumber>TC.S.Afffe</itemNumber>
        <feature>Does the device implement the AttributeReportingStatus global attribute?</feature>
        <reference>ZCL</reference>
        <status cond="TC.S">O</status>
        <support>false</support>
      </picsItem>
    </attributes>
		<commandsReceived>
			<picsItem>
				<itemNumber>TC.S.C00.Rsp</itemNumber>
				<feature>Does the device implement receiving the Scan Request command?</feature>
        <reference>ZCL</reference>
				<status cond="TC.S">M</status>
				<support>true</support>
			</picsItem>
      <picsItem>
        <itemNumber>TC.S.C02.Rsp</itemNumber>
        <feature>Does the device implement receiving the Device Information Request command?</feature>
        <reference>ZCL</reference>
        <status cond="TC.S">M</status>
        <support>true</support>
      </picsItem>
      <picsItem>
        <itemNumber>TC.S.C06.Rsp</itemNumber>
        <feature>Does the device implement receiving the Identify Request command?</feature>
        <reference>ZCL</reference>
        <status cond="TC.S">M</status>
        <support>true</support>
      </picsItem>
      <picsItem>
        <itemNumber>TC.S.C07.Rsp</itemNumber>
        <feature>Does the device implement receiving the Reset To Factory New Request command?</feature>
        <reference>ZCL</reference>
        <status cond="TC.S">M</status>
        <support>true</support>
      </picsItem>
      <picsItem>
        <itemNumber>TC.S.C10.Rsp</itemNumber>
        <feature>Does the device implement receiving the Network Start Request command?</feature>
        <reference>ZCL</reference>
        <status cond="TC.S">M</status>
        <support>true</support>
      </picsItem>
      <picsItem>
        <itemNumber>TC.S.C12.Rsp</itemNumber>
        <feature>Does the device implement receiving the Network Join Router Request command?</feature>
        <reference>ZCL</reference>
        <status cond="TC.S">M</status>
        <support>true</support>
      </picsItem>
      <picsItem>
        <itemNumber>TC.S.C14.Rsp</itemNumber>
        <feature>Does the device implement receiving the Network Join End Device Request command?</feature>
        <reference>ZCL</reference>
        <status cond="TC.S">M</status>
        <support>true</support>
      </picsItem>
      <picsItem>
        <itemNumber>TC.S.C16.Rsp</itemNumber>
        <feature>Does the device implement receiving the Network Update Request command?</feature>
        <reference>ZCL</reference>
        <status cond="TC.S">M</status>
        <support>true</support>
      </picsItem>
      <picsItem>
        <itemNumber>TC.S.C41.Rsp</itemNumber>
        <feature>Does the device implement receiving the Get Group Identifiers Request command?</feature>
        <reference>ZCL</reference>
        <status cond="TC.S AND TC.DPC">M</status>
        <support>true</support>
      </picsItem>
      <picsItem>
        <itemNumber>TC.S.C42.Rsp</itemNumber>
        <feature>Does the device implement receiving the Get Endpoint List Request command?</feature>
        <reference>ZCL</reference>
        <status cond="TC.S AND TC.DPC">M</status>
        <support>true</support>
      </picsItem>
    </commandsReceived>
		<commandsGenerated>
			<picsItem>
				<itemNumber>TC.S.C01.Tx</itemNumber>
				<feature>Does the device implement sending the Scan Response command?</feature>
        <reference>ZCL</reference>
				<status cond="TC.S">M</status>
				<support>true</support>
			</picsItem>
      <picsItem>
        <itemNumber>TC.S.C03.Tx</itemNumber>
        <feature>Does the device implement sending the Device Information Response command?</feature>
        <reference>ZCL</reference>
        <status cond="TC.S">M</status>
        <support>true</support>
      </picsItem>
      <picsItem>
        <itemNumber>TC.S.C11.Tx</itemNumber>
        <feature>Does the device implement sending the Network Start Response command?</feature>
        <reference>ZCL</reference>
        <status cond="TC.S">M</status>
        <support>true</support>
      </picsItem>
      <picsItem>
        <itemNumber>TC.S.C13.Tx</itemNumber>
        <feature>Does the device implement sending the Network Join Router Response command?</feature>
        <reference>ZCL</reference>
        <status cond="TC.S">M</status>
        <support>true</support>
      </picsItem>
      <picsItem>
        <itemNumber>TC.S.C15.Tx</itemNumber>
        <feature>Does the device implement sending the Network Join End Device Response command?</feature>
        <reference>ZCL</reference>
        <status cond="TC.S">M</status>
        <support>true</support>
      </picsItem>
      <picsItem>
        <itemNumber>TC.S.C40.Tx</itemNumber>
        <feature>Does the device implement sending the Endpoint Information command?</feature>
        <reference>ZCL</reference>
        <status cond="TC.S AND TC.DPC">M</status>
        <support>true</support>
      </picsItem>
      <picsItem>
        <itemNumber>TC.S.C41.Tx</itemNumber>
        <feature>Does the device implement sending the Get Group Identifiers Response command?</feature>
        <reference>ZCL</reference>
        <status cond="TC.S AND TC.DPC">M</status>
        <support>true</support>
      </picsItem>
      <picsItem>
        <itemNumber>TC.S.C42.Tx</itemNumber>
        <feature>Does the device implement sending the Get Endpoint List Response command?</feature>
        <reference>ZCL</reference>
        <status cond="TC.S AND TC.DPC">M</status>
        <support>true</support>
      </picsItem>
    </commandsGenerated>
	</clusterSide>
  <!-- Client side -->
	<clusterSide type="client">
    <attributes>
      <picsItem>
        <itemNumber>TC.C.Afffd</itemNumber>
        <feature>Does the device implement the ClusterRevision global attribute?</feature>
        <reference>ZCL</reference>
        <status cond="TC.C">M</status>
        <support>true</support>
      </picsItem>
      <picsItem>
        <itemNumber>TC.C.Afffe</itemNumber>
        <feature>Does the device implement the AttributeReportingStatus global attribute?</feature>
        <reference>ZCL</reference>
        <status cond="TC.C">O</status>
        <support>false</support>
      </picsItem>
    </attributes>
    <commandsReceived>
			<picsItem>
				<itemNumber>TC.C.C01.Rsp</itemNumber>
				<feature>Does the device implement receiving the Scan Response command?</feature>
        <reference>ZCL</reference>
				<status cond="TC.C">M</status>
				<support>true</support>
			</picsItem>
      <picsItem>
        <itemNumber>TC.C.C03.Rsp</itemNumber>
        <feature>Does the device implement receiving the Device Information Response command?</feature>
        <reference>ZCL</reference>
        <status cond="TC.C">M</status>
        <support>true</support>
      </picsItem>
      <picsItem>
        <itemNumber>TC.C.C11.Rsp</itemNumber>
        <feature>Does the device implement receiving the Network Start Response command?</feature>
        <reference>ZCL</reference>
        <status cond="TC.C">M</status>
        <support>true</support>
      </picsItem>
      <picsItem>
        <itemNumber>TC.C.C13.Rsp</itemNumber>
        <feature>Does the device implement receiving the Network Join Router Response command?</feature>
        <reference>ZCL</reference>
        <status cond="TC.C">M</status>
        <support>true</support>
      </picsItem>
      <picsItem>
        <itemNumber>TC.C.C15.Rsp</itemNumber>
        <feature>Does the device implement receiving the Network Join End Device Response command?</feature>
        <reference>ZCL</reference>
        <status cond="TC.C">M</status>
        <support>true</support>
      </picsItem>
      <picsItem>
        <itemNumber>TC.C.C40.Rsp</itemNumber>
        <feature>Does the device implement receiving the Endpoint Information command?</feature>
        <reference>ZCL</reference>
        <status cond="TC.C">M</status>
        <support>true</support>
      </picsItem>
      <picsItem>
        <itemNumber>TC.C.C41.Rsp</itemNumber>
        <feature>Does the device implement receiving the Get Group Identifiers Response command?</feature>
        <reference>ZCL</reference>
        <status cond="TC.C.C41.Tx">M</status>
        <support>true</support>
      </picsItem>
      <picsItem>
        <itemNumber>TC.C.C42.Rsp</itemNumber>
        <feature>Does the device implement receiving the Get Endpoint List Response command?</feature>
        <reference>ZCL</reference>
        <status cond="TC.C.C42.Tx">M</status>
        <support>false</support>
      </picsItem>
    </commandsReceived>
		<commandsGenerated>
			<picsItem>
				<itemNumber>TC.C.C00.Tx</itemNumber>
				<feature>Does the device implement sending the Scan Request command?</feature>
        <reference>ZCL</reference>
				<status cond="TC.C">M</status>
				<support>true</support>
			</picsItem>
      <picsItem>
        <itemNumber>TC.C.C02.Tx</itemNumber>
        <feature>Does the device implement sending the Device Information Request command?</feature>
        <reference>ZCL</reference>
        <status cond="TC.C">M</status>
        <support>true</support>
      </picsItem>
      <picsItem>
        <itemNumber>TC.C.C06.Tx</itemNumber>
        <feature>Does the device implement sending the Identify Request command?</feature>
        <reference>ZCL</reference>
        <status cond="TC.C">M</status>
        <support>true</support>
      </picsItem>
      <picsItem>
        <itemNumber>TC.C.C07.Tx</itemNumber>
        <feature>Does the device implement sending the Reset To Factory New Request command?</feature>
        <reference>ZCL</reference>
        <status cond="TC.C">M</status>
        <support>true</support>
      </picsItem>
      <picsItem>
        <itemNumber>TC.C.C10.Tx</itemNumber>
        <feature>Does the device implement sending the Network Start Request command?</feature>
        <reference>ZCL</reference>
        <status cond="TC.C">M</status>
        <support>true</support>
      </picsItem>
      <picsItem>
        <itemNumber>TC.C.C12.Tx</itemNumber>
        <feature>Does the device implement sending the Network Join Router Request command?</feature>
        <reference>ZCL</reference>
        <status cond="TC.C">M</status>
        <support>true</support>
      </picsItem>
      <picsItem>
        <itemNumber>TC.C.C14.Tx</itemNumber>
        <feature>Does the device implement sending the Network Join End Device Request command?</feature>
        <reference>ZCL</reference>
        <status cond="TC.C">M</status>
        <support>true</support>
      </picsItem>
      <picsItem>
        <itemNumber>TC.C.C16.Tx</itemNumber>
        <feature>Does the device implement sending the Network Update Request command?</feature>
        <reference>ZCL</reference>
        <status cond="TC.C">M</status>
        <support>true</support>
      </picsItem>
      <picsItem>
        <itemNumber>TC.C.C41.Tx</itemNumber>
        <feature>Does the device implement sending the Get Group Identifiers Request command?</feature>
        <reference>ZCL</reference>
        <status cond="TC.C">O</status>
        <support>true</support>
      </picsItem>
      <picsItem>
        <itemNumber>TC.C.C42.Tx</itemNumber>
        <feature>Does the device implement sending the Get Endpoint List Request command?</feature>
        <reference>ZCL</reference>
        <status cond="TC.C">O</status>
        <support>false</support>
      </picsItem>
    </commandsGenerated>
	</clusterSide>
  <!-- Other PICS -->
  <pics label="Device purpose">
    <picsItem>
      <itemNumber>TC.DPC</itemNumber>
      <feature>Is the device implementing the touchlink commissioning cluster a controller?</feature>
      <reference>ZCL</reference>
      <status>O</status>
      <support>true</support>
    </picsItem>
  </pics>
</clusterPICS>